Centos 8 and R

Issues related to applications and software problems and general support
Post Reply
oleg.badunenko
Posts: 2
Joined: 2019/10/07 20:08:40

Centos 8 and R

Post by oleg.badunenko » 2019/10/07 20:15:48

Hi all, I am having trouble install R package (statistical software) in Centos 8. The package is on epel8, but I get the following error message:

Code: Select all

 yum install R
Last metadata expiration check: 0:39:25 ago on Mon 07 Oct 2019 08:03:38 PM BST.
Error: 
 Problem: package R-3.6.1-1.el8.x86_64 requires R-devel = 3.6.1-1.el8, but none of the providers can be installed
  - package R-devel-3.6.1-1.el8.x86_64 requires R-core-devel = 3.6.1-1.el8, but none of the providers can be installed
  - conflicting requests
  - nothing provides texinfo-tex needed by R-core-devel-3.6.1-1.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
texinfo-tex does not exist for version 8. Suggested options do not help.

Did anyone else encountered this issue and found a solution?

Many thanks

Oleg

touchwood
Posts: 5
Joined: 2019/09/23 19:48:48

Re: Centos 8 and R

Post by touchwood » 2019/10/08 09:29:35

texinfo-tex is located in the powertools repo, which is not enabled by default.

oleg.badunenko
Posts: 2
Joined: 2019/10/07 20:08:40

Re: Centos 8 and R

Post by oleg.badunenko » 2019/10/08 19:48:01

Many thanks!

Code: Select all

sudo yum config-manager --set-enabled PowerTools
worked like a charm!

Post Reply

Return to “CentOS 8 - General Support”